#pragma once

#include <wrl.h>

class SceneModel;
class DirectX2dInterface;

struct ID2D1SolidColorBrush;

class DirectX2dPainter
{
public:
	void startDrawing();

	void clearBackground();

	void finishDrawing();

	void paint(SceneModel* model);

	void setD2dInterface(DirectX2dInterface* d2dIterface);

private:
	void createRectangle();

	Microsoft::WRL::ComPtr<ID2D1SolidColorBrush> mWorkingBrush;
	
	DirectX2dInterface* mD2dInterface{ nullptr };
};